#ifndef __buttonsContoursH__
#define __buttonsContoursH__

#include <wx/wx.h>
#include <wx/utils.h>
#include <string>


#include "menuBarButtons.h"

class buttonsContours 
	: public menuBarButtons
{
public:
	buttonsContours(wxWindow * parent, int sizex, int sizey,wxEvtHandler* evtHandler, std::string datdir = "data/Icons");		
	~buttonsContours();

    virtual void initButtons(wxEvtHandler* evtHandler) ;

	/**
	**	Responds to the events of the buttons, when the same panel is responsible for it. It gets the name
	**	of the button corresponding to the method that has to be executed,
	**	it uses attribute eventHandler to call the methods define by the application.
	**	see setEventHandler(wxEventHandler*)
	**/
	void onContourPressed(wxCommandEvent& event);
	void onViewerPressed(wxCommandEvent& event);
	void onMIPViewerPressed(wxCommandEvent& event);
};

#endif
 
 
