#ifndef __buttonsIRMH__
#define __buttonsIRMH__

#include <wx/wx.h>
#include "menuBarButtons.h"
#include "buttonsMainPanel.h"
#include <string>

class buttonsIRM
	: public menuBarButtons
{
public:
	buttonsIRM(wxWindow * parent, int sizex, int sizey,wxEvtHandler* evtHandler, std::string datdir = "data/Icons");		
	~buttonsIRM();

    virtual void initButtons(wxEvtHandler* evtHandler) ;

private:
	/**
	**  This methods are in charge of responding to the events of button click by the delete panel
	**  @params wxCommandEvent& the event that call the function
	**/
	void onDifferential(wxCommandEvent& event);
	void onSuperposition(wxCommandEvent& event);
	void onSignalCurve(wxCommandEvent& event);
};

#endif

